###########################################################################
# Makefile for the tests from the following test suite: <$SUITE_NAME$> 
# Target: <$TARGET$>
#
# This file is created by T2C system.
###########################################################################
FAILED_LIST := failed_to_build.list

EXCLUDE := Makefile $(FAILED_LIST)
SUBDIRS := $(filter-out $(EXCLUDE), $(wildcard *))
BUILDDIRS = $(SUBDIRS)
CLEANDIRS = $(addprefix _clean_,$(SUBDIRS))

FUNC_SCEN_FILE := ../scenarios/func_scen

.PHONY: all $(BUILDDIRS) $(CLEANDIRS) clean
all: $(BUILDDIRS)

# If some tests fail to be built, their names should be saved in a special file
# but make should proceed to building the remaining tests rather than stop.
$(BUILDDIRS):
		@$(MAKE) -C $@; \
		if test $$? -ne 0; then \
			echo "$@" >> $(FAILED_LIST); \
		fi

clean: $(CLEANDIRS)

$(CLEANDIRS):
		@$(MAKE) -C $(subst _clean_,,$@) clean
