###########################################################################
# Makefile for the following test suite: <$SUITE_NAME$>, 
# target:      <$TARGET$>
#
# This file is created by T2C system.
###########################################################################

FULL_SUITE_NAME := <$SUITE_NAME$>-t2c

TESTDATA_SRC_DIR  := ./testdata/testdata_src
TESTDATA_MAKEFILE := $(TESTDATA_SRC_DIR)/Makefile

FAILED_LIST := ./tests/failed_to_build.list

SCEN_DIR  := ./scenarios
SCEN_FILE := $(SCEN_DIR)/func_scen
GLOBAL_SCEN_FILE := ../tet_scen
GLOBAL_SCEN_RECORD := :include:/<$SUITE_NAME$>-t2c/$(SCEN_FILE)

.PHONY: all clean testdata_build testdata_clean
all: testdata_build
		@rm -f $(FAILED_LIST)
		@mkdir -p $(SCEN_DIR)
		@printf "" > $(SCEN_FILE)
		$(MAKE) -C tests
		@if test -f $(FAILED_LIST); then \
			printf "Some of the tests failed to build - see $(FAILED_LIST)\n"; \
		fi
		@if test ! -f $(GLOBAL_SCEN_FILE); then \
			 printf "all\n" > $(GLOBAL_SCEN_FILE); \
		fi
		@grep -F "$(GLOBAL_SCEN_RECORD)" $(GLOBAL_SCEN_FILE) > /dev/null; \
		if test $$? -eq 1; then \
			printf "    $(GLOBAL_SCEN_RECORD)\n" >> $(GLOBAL_SCEN_FILE); \
		fi

testdata_build: 
		@if test -f $(TESTDATA_MAKEFILE); then \
			$(MAKE) -C $(TESTDATA_SRC_DIR); \
		fi

testdata_clean:
		@if test -f $(TESTDATA_MAKEFILE); then \
			$(MAKE) -C $(TESTDATA_SRC_DIR) clean; \
		fi

clean: testdata_clean
		$(MAKE) -C tests clean
		rm -rf $(SCEN_DIR) $(FAILED_LIST)
